=== debian/changelog ===
coq (8.18.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:52:42 +0000

coq (8.18.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:08:10 +0000

coq (8.18.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format:
    + debian/coq.lintian-overrides: line 2, 4-21
    + debian/libcoq-core-ocaml-dev.lintian-overrides: line 2
    + debian/libcoq-core-ocaml.lintian-overrides: line 2-4, 6
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop dependency on essential package bash (>= 5.0).
    + Build-Depends: Drop versioned constraint on dh-ocaml (>= 0.9.5~).
    + Build-Depends: Drop versioned constraint on ocaml-nox (>= 4.05).
    + Build-Depends: Drop versioned constraint on camlp5 (>= 6.14).
    + libcoq-stdlib: Drop versioned constraint on coq (>= 8.0) in Recommends.
    + libcoq-core-ocaml: Drop conflict with removed package coq (<< 8.3~) in
      Replaces.
    + libcoq-core-ocaml: Drop conflict with removed package libcoq-ocaml-dev (<<
      8.3~) in Replaces.
    + libcoq-core-ocaml: Drop conflict with removed package coq (<< 8.3~) in
      Breaks.
    + libcoq-core-ocaml: Drop conflict with removed package libcoq-ocaml-dev (<<
      8.3~) in Breaks.
    + libcoq-core-ocaml-dev: Drop conflict with removed package coq (<<
      8.2-1+dfsg-1) in Replaces.
    + libcoq-core-ocaml-dev: Drop conflict with removed package coq (<<
      8.2-1+dfsg-1) in Breaks.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044637).
  * New upstream release.
  * Refresh patches.
  * Drop the coq-unimath workaround patch.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 14:34:31 +0100
