=== debian/changelog ===
coq (8.19.1+dfsg-3build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:49:57 +0200

coq (8.19.1+dfsg-3) unstable; urgency=medium

  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:40:45 +0200

coq (8.19.1+dfsg-2) unstable; urgency=medium

  * Call "dune build" with "--release" to avoid failure on warnings

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:57:25 +0200

coq (8.19.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 11 Mar 2024 15:46:22 +0100

coq (8.19.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 09:50:14 +0100
