=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
-COQ_VERSION := 8.18.0
+COQ_VERSION := 8.19.1
 COQ_ABI := $(COQ_VERSION)+$(OCAML_ABI)
 
 PACKAGES := $(shell dh_listpackages)
@@ -20,13 +20,13 @@
 	+dh $@ --with coq,ocaml,python3
 
 override_dh_auto_configure:
-	./configure -prefix=/usr -libdir=/usr/lib/ocaml/coq -mandir=/usr/share/man
+	./configure -prefix=/usr -libdir=$(OCAML_STDLIB_DIR)/coq -mandir=/usr/share/man
 
 override_dh_auto_build:
 	make dunestrap
 	dune build -p coq-core,coq-stdlib,coqide-server,coqide --display=verbose
 	# we don't really have the full documentation
-	dune build @stdlib-html --display=verbose
+	dune build --release @stdlib-html --display=verbose
 	touch _build/default/coq-doc.install
 	# all the html files point to the same logo - ship it and point to it
 	cp ide/coqide/coq.png _build/default/doc/stdlib/html/logo.png
@@ -59,21 +59,21 @@
 
 override_dh_auto_install:
 	dune install coq-core coq-stdlib coqide-server coqide \
-		--destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=/usr/lib/ocaml --mandir=/usr/share/man
+		--destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR) --mandir=/usr/share/man
 	mkdir -p $(CURDIR)/debian/tmp/usr/doc/coq-stdlib/html
 	install -m 644 _build/default/doc/stdlib/html/* $(CURDIR)/debian/tmp/usr/doc/coq-stdlib/html
 	# cleaning what upstream installs and we don't (need to) ship
 	find $(CURDIR)/debian/tmp -name LICENSE -delete
 	rm -rf  $(CURDIR)/debian/tmp/usr/doc/coqide/odoc-pages \
 		$(CURDIR)/debian/tmp/usr/doc/coq-stdlib/odoc-pages \
-		$(CURDIR)/debian/tmp/usr/lib/ocaml/coq-core/revision \
+		$(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)/coq-core/revision \
 		$(CURDIR)/debian/tmp/usr/doc/coqide-server \
-		$(CURDIR)/debian/tmp/usr/lib/ocaml/coqide-server
+		$(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)/coqide-server
 	# ok, now we detect what to ship
-	find debian/tmp/usr/lib/ocaml/coq-core -regextype posix-awk \
+	find debian/tmp$(OCAML_STDLIB_DIR)/coq-core -regextype posix-awk \
 	  -regex '.*\.(cma|cmxs)$$' \
 	  >> debian/libcoq-core-ocaml.install
-	find debian/tmp/usr/lib/ocaml/coq-core -regextype posix-awk \
+	find debian/tmp$(OCAML_STDLIB_DIR)/coq-core -regextype posix-awk \
 	  -regex '.*\.(a|cmi|cmo|cmt|cmti|cmx|cmxa|ml|mli|o])$$' \
 	  >> debian/libcoq-core-ocaml-dev.install
 	find debian/tmp -regextype posix-awk \
