## coq 8.20.0+dfsg

=== debian/changelog ===
coq (8.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:37:25 +0100
